Bug 138582 - cyclades module does not autoload after compilation
cyclades module does not autoload after compilation
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 18:56 EST by Tristan Gulyas
Modified: 2014-03-16 22:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 14:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hwconf from machine in question (5.27 KB, text/plain)
2004-11-10 00:39 EST, Tristan Gulyas
no flags Details

  None (edit)
Description Tristan Gulyas 2004-11-09 18:56:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:

I have installed the kernel src package and recompiled the kernel with
the addition of the cyclades multi-port serial card module.  After
installing the kernel and rebooting with the new kernel, the cyclades
card isn't automatically detected and no device nodes are present in
/dev. If I modprobe the module manually ("modprobe cyclades"), the
module loads successfully and the device nodes appear (/dev/ttyC0,
ttyC1 etc).  Kudzu is silent about the device's presence (removing it
or adding it doesn't prompt a hardware change dialog on bootup).

I have used the lines supplied in modprobe.conf.dist relating to the
cyclades device and added them to modprobe.conf as follows:

alias char-major-19-* cyclades
alias char-major-20-* cyclades



Version-Release number of selected component (if applicable):
module-init-tools-3.1-0.pre5.3

How reproducible:
Always

Steps to Reproduce:


1. Install kernel source
2. Recompile kernel with selecting the cyclades module under Device
Drivers/Character Devices (I did a menuconfig on mine)
3. make modules ; make modules_install ; make install ; reboot
4. Select new kernel from grub menu (was 2.6.9-prep on my system)
5. boot system.  

Actual Results:  

lsmod doesn't show the cyclades card in the system. No device nodes
appear in /dev.


Expected Results:  
Module should have loaded automatically (I would have expected kudzu
to pick up the device, too).


Additional info:


Would have liked the module to be included like our redhat machines.
This was filed as a bug report in June against FC2 at
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=125884 by another
user.

This is a fresh install of FC3.  This problem was also present in
FC3-test3 but not present in FC1.
Comment 1 Bill Nottingham 2004-11-09 22:50:12 EST
How does one determine the presence of the cyclades card?
Comment 2 Tristan Gulyas 2004-11-09 23:32:17 EST
ALrighty.  Had more of a play.  Kudzu DOES seem to pick up the 
cyclades just fine, but that's about it.  modprobing manually works.
Comment 3 Bill Nottingham 2004-11-10 00:20:38 EST
Can you attach your hwconf file?
Comment 4 Tristan Gulyas 2004-11-10 00:39:53 EST
Created attachment 106388 [details]
hwconf from machine in question

Interestingly enough, the same problem (chicken/egg) with the lucent winmodem
in this machine has also surfaced.  Only solution is to load the module
manually, just like the cyclades.. is udev getting in the way perhaps?
Comment 5 Bill Nottingham 2005-01-25 14:39:26 EST
Without the cyclades driver claiming the PCI id of the modem, there's
no way for it to autoload.

Note You need to log in before you can comment on or make changes to this bug.